## sudo 1.9.15p5

=== debian/changelog ===
sudo (1.9.15p5-3ubuntu5.24.04.1) noble-security; urgency=medium

  * SECURITY UPDATE: Local Privilege Escalation via host option
    - debian/patches/CVE-2025-32462.patch: only allow specifying a host
      when listing privileges.
    - CVE-2025-32462
  * SECURITY UPDATE: Local Privilege Escalation via chroot option
    - debian/patches/CVE-2025-32463.patch: remove user-selected root
      directory chroot option.
    - CVE-2025-32463

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Jun 2025 08:42:53 -0400

sudo (1.9.15p5-3ubuntu5) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:39 +0200

sudo (1.9.15p5-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:17:28 +0000

sudo (1.9.15p5-3ubuntu3) noble; urgency=medium

  * Disable an offensive insult (LP: #2058053)
    - d/p/disable_offensive_insult.patch: properly disable an offensive
      insult that was fogotten when the configure options were refactored
      in plugins/sudoers/ins_csops.h.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Mar 2024 07:53:26 -0400

sudo (1.9.15p5-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:28:45 +0000

sudo (1.9.15p5-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2051576). Remaining changes:
    - debian/sudo[-ldap].manpages: install man/man8/sudo_root.8
    - debian/sudo[-ldap].init: delete init scripts, as they are no longer
      necessary.
    - debian/etc/pam.d/sudo[-i]:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due
        to security reasons.
    - debian/etc/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/tests/control: 03-getroot-ldap
      + allow removal of 'sudo' in autopkgtest (SUDO_FORCE_REMOVE=yes)
    - debian/tests/04-getroot-sssd:
      + Check if the slapd daemon is ready before proceeding.
        In some situations, the next command (ldapmodify) runs before
        the service is ready. See LP#2026888

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Mon, 29 Jan 2024 17:09:56 +0000

sudo (1.9.15p5-3) unstable; urgency=medium

  * add --with-devel configure option.
    Thanks to Bastien Roucariès (Closes: #1061272)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 26 Jan 2024 21:10:13 +0100

sudo (1.9.15p5-2) unstable; urgency=medium

  * switch Build-Depends from systemd to systemd-dev
    Thanks to Michael Biebl (Closes: #1060511)
  * set Multi-Arch: foreign on sudo and sudo-ldap.
    Thanks to Andreas Rottmann (Closes: #1060445)
  * add debian/copyright clause for source_sudo.py.
    Oops.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 13 Jan 2024 21:59:56 +0100

sudo (1.9.15p5-1) unstable; urgency=medium

  * new upstream version 1.9.15p5
    * This is supposed to properly malloc on hurd.
      Thanks to Martin-Éric Racine (Closes: #1057833)
  * add durch debconf translation.
    Thanks to Frans Spiesschaert (Closes: #1059567)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 03 Jan 2024 21:40:38 +0100

sudo (1.9.15p4-2) unstable; urgency=medium

  * upload to unstable
  * use pkg-config to place systemd units.
    Thanks to Chris Hofstaedtler (Closes: #1059063)
  * Add french debconf translation.
    Thanks to bubu (Closes: #1058939)
  * fix typo in NEWS.Debian.
    Thanks to Vincent Danjean (Closes: #1058925)
  * add persian debconf translation.
    Thanks to Danial Behzadi
  * add spanish debconf translation.
    Thanks to Camaleón (Closes: #1059460)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 27 Dec 2023 17:53:13 +0100

sudo (1.9.15p4-1) experimental; urgency=medium

  * new upstream version 1.9.15p4
  * add de.po template translation.
    Thanks to Christoph Brinkhaus (Closes: #1058762)
  * Enable AppArmor (MR 15, manually apṕlied)
    Thanks to Will Shand
  * remove legacy debian/rules.predh7

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 15 Dec 2023 22:57:27 +0100

sudo (1.9.15p3-1) unstable; urgency=medium

  * new upstream version 1.9.15p3

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 14 Dec 2023 20:22:51 +0100

sudo (1.9.15p2-2) unstable; urgency=medium

  * upload to unstable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 08 Dec 2023 18:31:14 +0100

sudo (1.9.15p2-1) experimental; urgency=medium

  * the #DENOG15 release
  * New upstream version 1.9.15p2
  * mark sudo-ldap as deprecated.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 20 Nov 2023 14:15:22 +0100
