## sudo 1.9.16p1

=== debian/changelog ===
sudo (1.9.16p1-1) unstable; urgency=medium

  * New upstream version 1.9.16p1

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 13 Nov 2024 18:08:56 +0100
