## sudo 1.9.16p2

=== debian/changelog ===
sudo (1.9.16p2-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2119135). Remaining changes:
    - debian/sudo[-ldap].manpages: install man/man8/sudo_root.8
    - debian/sudo[-ldap].init: delete init scripts, as they are no longer
      necessary.
    - debian/etc/pam.d/sudo[-i]:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due
        to security reasons.
    - debian/etc/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/tests/04-getroot-sssd:
      + Check if the slapd daemon is ready before proceeding.
        In some situations, the next command (ldapmodify) runs before
        the service is ready. See LP#2026888
    - set alternatives (LP #2111419)
    - remove sudo-ldap package (LP #2115781)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 30 Jul 2025 23:49:17 +0200

sudo (1.9.16p2-3) unstable; urgency=high

  * backport upstream patch for CVE-2025-32463
  * add upstream patch for CVE-2025-32462
  * Add new italian debconf translation.
    Thanks to Ceppo (Closes: #1108208)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 30 Jun 2025 07:55:33 +0200

sudo (1.9.16p2-2) unstable; urgency=medium

  * new European Portuguese translation of debconf messages.
    Thanks to Américo Monteiro (Closes: #1101892)
  * add new Romanian debconf translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1102040)
  * Build-Depend on tzdata.
    Thanks to Chris Hofstaedtler and other Mini Debconf Hamburg people
    (Closes: #1104681)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 04 May 2025 17:48:51 +0200

sudo (1.9.16p2-1ubuntu4) questing; urgency=medium

  * remove sudo-ldap package (LP: #2115781)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 02 Jul 2025 11:41:28 +0200

sudo (1.9.16p2-1ubuntu3) questing; urgency=medium

  * fix autopackage test (LP: #2115183)
    - rename cvtsudoers to cvtsudoers.ws

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 25 Jun 2025 11:22:35 +0200

sudo (1.9.16p2-1ubuntu2) questing; urgency=medium

  * set alternatives (LP: #2111419)
    - rename sudo to sudo.ws (ubuntu suffix based on upstream
      https://www.sudo.ws/).
    - adds a patch d/p/sudo-rename-for-alternates.patch to symlink
      sudoedit to new name.
    - add d/sudo.alternatives
    - rename sudo and dependent binaries and manpages in
      override_dh_auto_install
    - recommends: sudo-rs for installation on upgrades
    - update lintian overrides for new name
    - remove old reference to /etc/alternatives/sudo in d/sudo.postinst 

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 12 May 2025 16:01:09 +0200

sudo (1.9.16p2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098855). Remaining changes:
    - debian/sudo[-ldap].manpages: install man/man8/sudo_root.8
    - debian/sudo[-ldap].init: delete init scripts, as they are no longer
      necessary.
    - debian/etc/pam.d/sudo[-i]:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due
        to security reasons.
    - debian/etc/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/tests/control: 03-getroot-ldap
      + allow removal of 'sudo' in autopkgtest (SUDO_FORCE_REMOVE=yes)
    - debian/tests/04-getroot-sssd:
      + Check if the slapd daemon is ready before proceeding.
        In some situations, the next command (ldapmodify) runs before
        the service is ready. See LP: #2026888
  * Drop Changes:
    - Disable an offensive insult (LP: #2058053)
      + d/p/disable_offensive_insult.patch: properly disable an offensive
        insult that was fogotten when the configure options were refactored
        in plugins/sudoers/ins_csops.h.
      [Disabled by default with 1.9.16]

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 19 Feb 2025 16:30:12 +0200

sudo (1.9.16p2-1) unstable; urgency=medium

  * New upstream version 1.9.16p2

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 09 Feb 2025 20:13:12 +0100
