=== debian/rules ===
--- 
+++ 
@@ -51,36 +51,62 @@
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory build-simple -- $(strip $(CONFIGURE_ARGS)) \
 		--with-exampledir=/usr/share/doc/sudo/examples
-	dh_auto_configure --builddirectory build-ldap   -- $(strip $(CONFIGURE_ARGS)) \
-		--with-exampledir=/usr/share/doc/sudo-ldap/examples \
-		--docdir=/usr/share/doc/sudo-ldap \
-		--with-ldap --with-ldap-conf-file=/etc/sudo-ldap.conf
 
 override_dh_auto_clean override_dh_auto_build:
 	$(patsubst override_%,%,$@) --builddirectory build-simple
-	$(patsubst override_%,%,$@) --builddirectory build-ldap
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test --builddirectory build-simple
-	dh_auto_test --builddirectory build-ldap
 endif
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory build-simple --destdir debian/sudo -- INSTALL_OWNER=
-	dh_auto_install --builddirectory build-ldap --destdir debian/sudo-ldap -- INSTALL_OWNER=
 
 	rm -f debian/sudo*/etc/sudoers \
 	      debian/sudo*/usr/share/doc/sudo*/LICENSE.md \
 	rm -rf debian/sudo*/run
 	find debian/sudo*/ -type f -name '*.la' | xargs rm -f
 
-	for pkg in sudo sudo-ldap; do \
+	for pkg in sudo; do \
 		mv debian/$$pkg/etc/sudoers.dist \
 		   debian/$$pkg/usr/share/doc/$$pkg/examples/sudoers.dist; \
 		mkdir -p debian/$$pkg$(deb_systemdsystemunitdir)/; \
 		ln -s /dev/null debian/$$pkg$(deb_systemdsystemunitdir)/sudo.service; \
 	done
+
+	# rename sudo to sudo.ws for alternatives binaries
+	for pkg in sudo; do \
+		mv debian/$$pkg/usr/bin/sudo \
+           debian/$$pkg/usr/bin/sudo.ws; \
+		mv debian/$$pkg/usr/sbin/visudo \
+           debian/$$pkg/usr/sbin/visudo.ws; \
+		mv debian/$$pkg/usr/bin/sudoreplay \
+           debian/$$pkg/usr/bin/sudoreplay.ws; \
+		mv debian/$$pkg/usr/sbin/sudo_logservd \
+           debian/$$pkg/usr/sbin/sudo_logservd.ws; \
+		mv debian/$$pkg/usr/sbin/sudo_sendlog \
+           debian/$$pkg/usr/sbin/sudo_sendlog.ws; \
+		mv debian/$$pkg/usr/bin/cvtsudoers \
+           debian/$$pkg/usr/bin/cvtsudoers.ws; \
+	done
+
+	# rename sudo to sudo.ws for alternatives manpages
+	for pkg in sudo; do \
+		mv debian/$$pkg/usr/share/man/man8/sudo.8 \
+           debian/$$pkg/usr/share/man/man8/sudo.ws.8; \
+		mv debian/$$pkg/usr/share/man/man8/visudo.8 \
+           debian/$$pkg/usr/share/man/man8/visudo.ws.8; \
+		mv debian/$$pkg/usr/share/man/man8/sudoreplay.8 \
+           debian/$$pkg/usr/share/man/man8/sudoreplay.ws.8; \
+		mv debian/$$pkg/usr/share/man/man8/sudo_logservd.8 \
+           debian/$$pkg/usr/share/man/man8/sudo_logservd.ws.8; \
+		mv debian/$$pkg/usr/share/man/man8/sudo_sendlog.8 \
+           debian/$$pkg/usr/share/man/man8/sudo_sendlog.ws.8; \
+		mv debian/$$pkg/usr/share/man/man1/cvtsudoers.1 \
+           debian/$$pkg/usr/share/man/man1/cvtsudoers.ws.1; \
+	done
+
 
 execute_after_dh_fixperms:
 	# fix executable libraries
