## sudo 1.9.17p2

=== debian/changelog ===
sudo (1.9.17p2-4) unstable; urgency=medium

  * some improvements to the test suite, making it more suitable
    for older Debian releases
  * remove sudo.preinst (historic)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 10 Feb 2026 21:29:33 +0100

sudo (1.9.17p2-3) unstable; urgency=medium

  * use dh_maintscript to remove /etc/sudoers.d/README.
    Thanks to Sven Joachim (Closes: #1126614)
  * comment mail_badpass in default /etc/sudoers.
    Thanks to Sven Geggus (Closes: #1114986)
  * remove no longer used debconf templates (Closes: #1101123)
  * remove po-debconf dependency

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 31 Jan 2026 21:32:35 +0100

sudo (1.9.17p2-2) unstable; urgency=medium

  * upload to unstable
  * declare proper breaks/replacest
  * add upstream patch (and test case): Do not perform path expansion
    Thanks to Adam D. Barratt (Closes: #1126085)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 28 Jan 2026 22:12:32 +0100

sudo (1.9.17p2-1exp1) experimental; urgency=medium

  [ Marc Haber ]
  * remove sudo-ldap.maintscript
  * remove sudo-ldap and libnss-sudo

  [ Alexander Reichle-Schmehl ]
  * Add myself to uploaders

  [ Daniel Lewart ]
  * Move /etc/sudoers.d/README to top of README.Debian (Closes: #1108772)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 31 Dec 2025 08:37:25 +0100

sudo (1.9.17p2-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream release

  [ Marc Haber ]
  * add debian/upstream/metadata.
    Thanks to Otto Kekäläinen
  * add debian/gbp.conf (to reflect new repo structure)
    Thanks to Otto Kekäläinen
  * split Build-Depends to Build-Depends-Arch
  * run wrap-and-sort

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 17 Aug 2025 12:41:14 +0200

sudo (1.9.17p1-1) experimental; urgency=medium

  * New upstream version 1.9.17p1
    * this includes the upstream fixes for
      CVE-2025-32462 and CVE-2025-32463.
  * Add new italian debconf translation.
    Thanks to Ceppo (Closes: #1108208)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 01 Jul 2025 06:15:43 +0200
