=== debian/control ===
Source: sudo
Section: admin
Maintainer: Debian Sudo Maintainers <sudo@packages.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
           Hanno Wagner <wagner@debian.org>,
           Hilko Bengen <bengen@debian.org>,
           Bastian Blank <waldi@debian.org>,
           Alexander Reichle-Schmehl <tolimar@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-installnss
Build-Depends-Arch: autoconf,
                    bison,
                    flex,
                    libapparmor-dev [linux-any],
                    libaudit-dev [linux-any],
                    libpam0g-dev,
                    libsasl2-dev,
                    libselinux1-dev [linux-any],
                    pkgconf,
                    systemd-dev,
                    tzdata,
                    zlib1g-dev
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/sudo-team/sudo.git
Vcs-Browser: https://salsa.debian.org/sudo-team/sudo
Homepage: https://www.sudo.ws/

Package: sudo
Architecture: any
Depends: libpam-modules, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: sudo-ldap (<< 1.9.17p2-1exp1)
Replaces: sudo-ldap (<< 1.9.17p2-1exp1)
Multi-Arch: foreign
Description: Provide limited super user privileges to specific users
 Sudo is a program designed to allow a sysadmin to give limited root
 privileges to users and log root activity.  The basic philosophy is to give
 as few privileges as possible but still allow people to get their work done.

Package: sudo-ldap
Architecture: all
Section: oldlibs
Depends: sudo (>= ${source:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: Transitional Package - sudo-ldap has been removed
 Sudo is a program designed to allow a sysadmin to give limited root
 privileges to users and log root activity.
 .
 This transitional package will pull in the regular sudo. After installing
 this, sudo-ldap functionality will not be available any more.
 Please consider migrating your existing installations to libsss-sudo
 and sssd.
 .
 This can be safely removed.

Package: libnss-sudo
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Transitional Package - libnss-sudo has been removed
 Transitional package for the removed libnss-sudo.
 .
 This can be safely removed.
