=== debian/tests/control ===
Tests: 01-getroot
Depends: adduser, sudo, cracklib-runtime
Restrictions: needs-root

Tests: 02-1003969-audit-no-resolve
Depends: sudo
Restrictions: needs-root

Tests: 04-getroot-sssd
Depends: adduser, cron, ldap-utils, procps, slapd, sssd-common, sssd-ldap, sudo, socat, libnss-sss, libpam-sss
Restrictions: needs-root
