=== debian/watch ===
Version: 5

Source: https://www.sudo.ws/sudo/dist/
Matching-Pattern: sudo-(.*)[.]tar[.]gz
Pgpsigurlmangle: s/$/.sig/
